/*variaveis*/
:root {
  --typo-family1: "Arvo", sans-serif;
  --typo-family2:arial; 
  --typo-weight-light: 400;
  --typo-weight-bold: 700;

  --typo-size-t-lg: clamp(1.6rem, 5vw, 2.0rem);
  --typo-size-t-md: clamp(1.2rem, 5vw, 1.6rem);
  --typo-size-t-sm: clamp(1.0rem, 5vw, 1.0rem);



  --typo-p-sm: 0.75rem;
  --typo-p-md: 0.92rem;
  --typo-p-lg: 1rem;

  

  --color-danger: #DC3545;
  --color-warning: #FFC107;
  --color-success: #28A745;

  --color-black: #1A1A1A;
  --color-white: #fff;
  --color-gray: #CECECE;
  
  
  --color-small:#565656;  

  --color-transparent: transparent;

  --color-green-500: #348233;
  --color-green-400: #488E47;
  --color-green-300: #5B995A;
  --color-green-200: #6EA56E;
  --color-green-100: #6EA56E;

  --color-green-vivid-500: #45AB42;
  --color-green-vivid-400: #57B354;
  --color-green-vivid-300: #69BB67;
  --color-green-vivid-200: #7BC379;
  --color-green-vivid-100: #8CCB8C;

  --color-yellow-500: #DC8D3B;
  --color-yellow-400: #DF984E;
  --color-yellow-300: #E2A361;
  --color-yellow-200: #E5AE74;
  --color-yellow-100: #E7B987;

  --color-red-500: #CC3F2C;
  --color-red-400: #D56353;
  --color-red-300: #DC8276;
  --color-red-200: #E49E95;
  --color-red-100: #E8B7B0;


  --color-red-vivid-500: #CC3F2C;
  --color-red-vivid-400: #D56353;
  --color-red-vivid-300: #DC8276;
  --color-red-vivid-200: #E49E95;
  --color-red-vivid-100: #E8B7B0;

  --color-blue-500: #384F9E;
  --color-blue-400: #4B60A7;
  --color-blue-300: #5E71B0;
  --color-blue-200: #7282BA;
  --color-blue-100: #8593C3;

  --color-purple-500: #3B0038;
  --color-purple-400: #6A006C;
  --color-purple-300: #8E249B;


  --color-gray-100: #3c2ebd;

  --space-lg: 2rem;
  --space-md: 1.5rem;
  --space-sm: 0.8rem;

}

.modal-backdrop.show {
  opacity: 0.8;
}



.small
{
  color:var(--color-small);
  font-size:12px;
}


/* body */

html,
body 
{
  margin: 0;
  padding: 0;
  height: 100%;
  font-family: var(--typo-family2);
  font-size: 16px;
}



/*posicionando rodape no bottom da página */


#wrapper {
   min-height: 100dvh;
   display: flex;
   flex-direction: column;
}

a {
  text-decoration: none;
}


/*cabeçalhos*/


/*cabeçalhos e paragrafo */

h1 {
  font-family: var(--typo-family1);
  font-weight:bold !important;
  text-transform: uppercase ;
  color:var(--color-white);

}

.interna h1 {
  font-family: var(--typo-family1);
  font-size: var(--typo-size-t-md);
  font-weight: bold;
  color: var(--color-purple-500);
}

h2 {
  font-family: var(--typo-family1);
  font-size: var(--typo-size-t-md);
  font-weight:bold !important;
}

h3,
.interna h2 {
  font-family: var(--typo-family2);
  font-size: var(--typo-size-t-sm) !important;
  font-weight:bold !important;
  color: var(--color-purple-400);
  
}


/*header*/

.topo, 
.topo-interna {
  position: relative;
  background-color: var(--color-purple-500);
  border-top:10px solid var(--color-purple-400);
  color:#fff;

}


.topo 
{
   background-image: url("../images/ilustracao.svg");
   background-repeat: no-repeat;
   background-position: right bottom;
   background-size:23%;
  
}

.topo p 
{
  color:#fff;
}

.topo .chamada h2
  {
    font-size:20px;
    font-family: var(--typo-family2);
    text-transform: lowercase;
  }


  

.tabs .nav-link {
  color: var(--color-black);
  margin-right: 24px;
  font-weight: 400 !important;

}

.tabs .nav-link.active {
  background-color: var(--color-purple-500);
  color: var(--color-white);
}

.tabs .nav-link:hover {
  color: var(--color-black);
  margin-right: 24px;

}

.tabs .nav-link.active:hover {
  color: var(--color-white);
}


.tabs .tab-pane
{
  margin-top:32px;
  margin-bottom:32px;
  font-weight: normal;
}


.tab-pane h4 
{
  font-size:1rem;
  font-weight:500;
  color:var(--color-purple-500);
}


/*topo interna*/

.topo-interna {
  position: relative;
}

.topo-interna .ilustracao {
  mix-blend-mode: multiply;
}

/*paginação*/

ul.pagination {
  margin: 0 auto;
  margin-left: 0 !important;
  margin-right: 0 !important;
 }

.page-item:first-child .page-link {
  border: none;
}

ul.pagination li .page-link {
  border: none;
  border-radius: 25px;
  padding: 0px 8px 0px 8px;
  color: var(--color-purple-400);

}

.page-item.active .page-link {
  border: none;
  border-radius: 25px;
  padding: 0px 8px 0px 8px;
  background-color: var(--color-purple-400);
  color:var(--color-white);
}

ul.pagination li .page-link:hover {
  background-color: var(--color-purple-400);
  color: var(--color-white);
}

ul.pagination li .page-link.active {
  background-color: var(--color-purple-500);
  color: var(--color-white);
}

.page-item:first-child .page-link,
.page-item:last-child .page-link {
  border-top-left-radius: 0rem;
  border-bottom-left-radius: 0rem;
  border-top-right-radius: 0rem;
  border-bottom-right-radius: 0rem;
  border-radius: 25px;
}

.separador 
{
  border:dotted 1px  var(--color-purple-500);
}

/*footer*/
footer {
  background-color: #444444;
  width: 100%;
  height: 124px;
  padding-top: 40px;
}

footer ul {
  margin: 0px;
  padding: 0px;
  margin: 0 auto;
}

footer li {
  list-style: none;
}

/*Botão de scroll para o topo */

.scrollToTop {
  color: var(--color-white);
  background: var(--color-purple-300);
  position: fixed;
  bottom: 200px;
  right: 40px;
  z-index: 1000;
  padding-top: 4px;
  width: 40px;
  height:40px;
  text-decoration: none;
  display: none;
}

.scrollToTop:hover {
  background: var(--color-purple-300);
}

/*teclas de atalho para o conteúdo */

.skip {
    position: absolute;
    left: -10000px;
    top: auto;
    width: 100%;
    height: 1px;
    overflow: hidden;
}

.skip:focus {
  position: static;
  width: 100%;
  height: 100px;
  text-align: center;
  background-color:var(--color-red-400);
  color:var(--color-black);
}

button.btn-darkmode 
{
  padding:0px;
  margin:0px;
  background:none;
  padding-top: 7px;
}

/*posicionamento do bloco */
main {
  flex: 1;
}



/* tabela */

table {
  border: none;
  background-color: transparent !important;
}

table thead tr th,
table tfoot tr th,
table tfoot tr td,
table tbody tr th,
table tbody tr td,
table tr td {
  line-height: 2rem;
  font-weight: normal;
}


table tr:nth-of-type(even) {
  background-color: transparent !important;
}

.table>:not(:last-child)>:last-child>* {
  border-bottom: 1px solid #DDDDDD;
}

/*botoes */

.btn {
  font-weight: 500;
  border-radius:25px;
  border:1px solid;
}

.btn-salvar {
  border-radius: 25px !important;
}

.btn-primary
{
  background-color:var(--color-purple-500);
  color:var(--color-white);
}

.btn-primary:hover
{
 background-color:var(--color-purple-400);
 color:var(--color-white);
 border-color: var(--color-purple-400);
}

.btn-outline-primary
{
  border:1px solid var(--color-purple-500);
  color:var(--color-purple-500);
}

.btn-outline-primary:hover
{
  border:1px solid var(--color-purple-500);
  background-color: var(--color-purple-500);
  color:var(--color-white);
}

.btn-sm
{
  padding:4px 16px 4px 16px;
}

.btn-modal-primary
{
  background-color:var(--color-purple-500) !important;
  color:var(--color-white);
  border-radius:25px !important;
  padding:8px 8px 8px 8px !important;
  margin:0px 4px 0px 4px;
}

.btn-modal-secondary
{
   margin:0px 4px 0px 4px;
  color:var(--color-purple-500);
  background-color: #fff;
  border-radius:25px !important;
  padding:8px 8px 8px 8px !important;

}


#backToTopBtn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: none;
  z-index: 99;
  border: none;
  outline: none;
  color:var(--color-white);
  cursor: pointer;
  padding: 10px;
  border-radius: 5px;
  text-align: center;
  font-size: 16px;
  font-weight: 500;
}

#backToTopBtn:hover {
  background-color: var(--color-blue-500);
}

button:hover,
button:focus,
.button:hover,
.button:focus {
  background-color: transparent;
}

.navbar-nav .nav-link {
  color:var(--color-white) !important;
  /* ou a cor desejada */
}

.btn-voltar {
  border: 1px solid var(--color-purple-500);
  color: var(--color-purple-500);
  border-radius: 25px;
  font-size: 14px;
}


.btn-voltar:hover {
  border: 1px solid var(--color-purple-400);
  background-color: var(--color-purple-400);
  color: var(--color-white);
}

.btn-nav-section {
  color: transparent;
}

.btn-acesso
{
  border:2px solid var(--color-blue-500);
  color:var(--color-blue-500);
  border-radius :20px;
  font-weight:700;
  padding-top:4px;
  padding-bottom:4px;
}

.btn-acesso:hover 
{
  background-color:var(--color-blue-500);
  color:var(--color-white);
}
/*barra fiocruz*/

#barra-fiocruz ul {
  background-image: url("../images/fio-direito.jpg");
  background-repeat: repeat-x;
  display: block;
  height: 40px;
  margin: 0;
  padding: 0;
}

#barra-fiocruz a span {
  height: 1px;
  overflow: hidden;
  position: absolute;
  width: 1px;
}

#barra-fiocruz #barra-fluida-esquerda {
  background-image: url("../images/fio-esquerdo.jpg");
  background-repeat: repeat-x;
  height: 33px;
}

#barra-fiocruz li {
  display: inline;
}

#barra-fiocruz #barra-fluida-direita {
  background-image: url("../images/lado_direito.jpg");
  background-position: right top;
  background-repeat: no-repeat;
  height: 33px;
}

#barra-fiocruz .a1 {
  background: url("../images/logo-fiocruz.jpg") no-repeat;
  float: left;
  height: 33px;
  width: 120px;
  color: transparent;
}

#barra-fiocruz .a2 {
  background: url("../images/fale-fiocruz.jpg") no-repeat;
  float: left;
  height: 33px;
  margin-right: 20px;
  width: 90px;
}

#barra-fiocruz .a4 {
  background: url("../images/logo-fiocruz-d.jpg") no-repeat;
  float: right;
  height: 33px;
  width: 180px;
}

/*breadcrumb*/

.breadcrumb {
  margin: 0px;
  padding: 0px;
}

.breadcrumb a,
.breadcrumb-item+.breadcrumb-item::before {
  color: var(--color-purple-500);
}

.breadcrumb .active {
  font-weight: 600;
  background-color: transparent;
  color: var(--color-purple-400);

}


/*formularios*/
input:not([type]),
input[type="text"],
input[type="password"],
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="month"],
input[type="week"],
input[type="email"],
input[type="number"],
input[type="search"],
input[type="tel"],
input[type="time"],
input[type="url"],
input[type="color"],
textarea {
  margin-bottom: 0px;
}

.input-group-text {
  background-color: var(--color-white);
  border-left: 1px solid var(--color-white);
  color: var(--color-brown-100);
 }

.form-control
{
  border-radius:0px;
}


/*seções*/
.cursos .btn:hover {
  background-color: var(--color-purple-400);
  color: var(--color-white);
}

.card-edital 
{
  border-radius:0px;
  border:solid 1px var(--color-gray);
  position:relative;
  min-height:220px;
}

/* .card-edital .btn 
{
  position:absolute;
  bottom:24px;
} */

.interna .card-edital 
{
  border-radius:0px;
  border:solid 1px var(--color-gray);
  position:relative;
  min-height:248px;
}


.card-edital .badge
{
  position:absolute;
  top:-10px;
}

.card-acesso 
{
  width:40%;
}




/*celular*/
@media (max-width: 768px) {

  main{
    padding-bottom:48px;
  }
  .topo {
    padding-bottom: 32px;
    background-image: none;
  }

  .topo-interna {
    background-image: none;
  }

}



/*Dispositivos médios (tablets com 768px ou mais)*/
@media (min-width: 769px) and (max-width: 991px) {

  .topo {
     background-image: none;
      padding-bottom:40px;
  }


}


@media (min-width: 992px) and (max-width: 1209px) {

   .topo {
   background-image: none;
   background-repeat:no-repeat;
   background-size: 24%;
   background-position: 1000px 35px;
   padding-bottom:40px;

  }

}

/*Dispositivos extra large (desktops grandes com 1200px ou mais)*/
@media (min-width: 1210px) {

  .navbar-expand-lg .navbar-nav .dropdown-menu {
        width: 270px;
        font-size:14px;
      }


  .h-100 {
    height: 100%;
  }

  .topo
  {
    min-height:400px;
    padding-top:24px;
    padding-bottom:40px;
    
  }

  .topo-interna 
  {
    min-height:180px;
    padding-top:24px;
  }


  footer {
    margin-top: 80px;
  }

  .container {
    width: 1140px;
    position: relative;
  }

  .chamada p 
  {
    width:85%;
  }


  section .container {
    font-size: 1rem;

  }

  .topo, 
  .topo-interna {
    
    background-color: #3B0038;
  }

  .topo .logo {
    width: 30%;
  }

  footer ul {
    width: 680px;
  }

  .table-responsive {
    overflow-x: hidden !important;
    /* Impede a rolagem horizontal indesejada */
  }

 
}

.tooltip {
  background: none !important;
}

.swal2-modal 
{
  border-radius:0px;
}

.swal2-actions{
    gap: 4px;
}

